@charset "UTF-8";

/* loop-animation
--------------------------------------------------------- */
.loop-banner {
  --gap: 10px;
  --group-width: 0px;

  position: relative;
  overflow: hidden;
  width: 100%;
  margin-right: -1px;
}

.loop-banner_track {
  display: flex;
  width: max-content;
  will-change: transform;
  animation: loop-banner-scroll var(--duration, 50s) linear infinite;
  gap: var(--gap);
}

.loop-banner_group {
  display: flex;
  gap: var(--gap);
  flex: 0 0 auto;
}

.loop-banner_item {
  flex: 0 0 auto;
}

.loop-banner_item img {
  display: block;
  width: auto;
  height: 288px;
  max-width: none;
}

/* 一時停止 */
.loop-banner.is-paused .loop-banner_track {
  animation-play-state: paused;
}

/* 1セット分だけ移動 */
@keyframes loop-banner-scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(calc(-1 * var(--group-width)));
  }
}

/* -----------------
  ボタン表示切替
----------------- */
button.loop-banner_toggle {
  /* position: absolute;
  right: 16px;
  bottom: 16px; */
  appearance: none;
  background: transparent;
  border: none;
  padding: 0;
  margin: 0;
  flex-shrink: 0;
  cursor: pointer;
  font-size: 1.2rem;
  display: inline-grid;
  grid-template-columns: 1fr;
  align-items: center;
  color: var(--Text_sub_black);
}

/* 初期：Pause表示 */
.toggle_play,
.toggle_pause {
  grid-column: 1;
  grid-row: 1;
  line-height: 1;
  display: flex;
  align-items: center;
  gap: 6px;
}

.toggle_play,
.loop-banner.is-paused .toggle_pause {
  visibility: hidden;
  opacity: 0;
}

/* 停止時：Play表示 */
.toggle_pause,
.loop-banner.is-paused .toggle_play {
  visibility: visible;
  opacity: 1;
}


/* vision-dl
--------------------------------------------------------- */

.vision-list li {
  display: flex;
  align-items: center;
  gap: 16px;
  padding: 4px 0;
  border-top: 1px solid var(--Devider_gray);
}

.vision-list li:last-child {
  border-bottom: 1px solid var(--Devider_gray);
}

.vision-list-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 68px;
  min-width: 68px;
  height: 67px;
}

.vision-list-txt {
  display: flex;
  gap: 8px;
}

.vision-list-title {
  min-width: 120px;
  font-weight: 500;
}


@media screen and (max-width: 1080px) {
  .sample {
    display: none;
  }
}

@media screen and (max-width: 769px) {
  .vision-list li {
    padding: 12px 0;
  }

  .vision-list-txt {
    flex-direction: column;
    gap: 4px;
  }
}